summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/alsa-plugin-ffmpeg/README14
-rw-r--r--audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.SlackBuild83
-rw-r--r--audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.info10
-rw-r--r--audio/alsa-plugin-ffmpeg/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/audio/alsa-plugin-ffmpeg/README b/audio/alsa-plugin-ffmpeg/README
new file mode 100644
index 0000000000..345d21592a
--- /dev/null
+++ b/audio/alsa-plugin-ffmpeg/README
@@ -0,0 +1,14 @@
+alsa-plugin-ffmpeg (ffmpeg plugins for ALSA)
+
+These are the a52 and lavcrate plugins for ALSA.
+
+The a52 plugin converts S16 linear format to an A52 compressed stream
+and sends it to an SPDIF output.
+
+The lavcrate plugin is an external rate converter using libavcodec's
+resampler, which may produce higher quality results than the libsamplerate
+converter included in Slackware's alsa-plugins package.
+
+These plugins are included in the alsa-plugins source, but are not
+included in Slackware's alsa-plugins package because Slackware doesn't
+ship with ffmpeg.
diff --git a/audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.SlackBuild b/audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.SlackBuild
new file mode 100644
index 0000000000..d7313796d4
--- /dev/null
+++ b/audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for alsa-plugin-jack
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=alsa-plugin-ffmpeg
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=alsa-plugins
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make -C a52
+make -C a52 install-strip DESTDIR=$PKG
+make clean
+make -C rate-lavc
+make -C rate-lavc install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/a52.txt doc/lavcrate.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.info b/audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.info
new file mode 100644
index 0000000000..3924343ac1
--- /dev/null
+++ b/audio/alsa-plugin-ffmpeg/alsa-plugin-ffmpeg.info
@@ -0,0 +1,10 @@
+PRGNAM="alsa-plugin-ffmpeg"
+VERSION="1.1.1"
+HOMEPAGE="http://www.alsa-project.org/main/index.php/A52_plugin"
+DOWNLOAD="ftp://ftp.slackware.com/pub/slackware/slackware-14.2/source/l/alsa-plugins/alsa-plugins-1.1.1.tar.xz"
+MD5SUM="f4f5466eb2c55245fe15c291aa0912b7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ffmpeg"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/alsa-plugin-ffmpeg/slack-desc b/audio/alsa-plugin-ffmpeg/slack-desc
new file mode 100644
index 0000000000..50d6766e13
--- /dev/null
+++ b/audio/alsa-plugin-ffmpeg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+alsa-plugin-ffmpeg: alsa-plugin-ffmpeg (ffmpeg plugins for ALSA)
+alsa-plugin-ffmpeg:
+alsa-plugin-ffmpeg: These are the a52 and lavcrate plugins for ALSA.
+alsa-plugin-ffmpeg:
+alsa-plugin-ffmpeg: The a52 plugin converts S16 linear format to an A52 compressed stream
+alsa-plugin-ffmpeg: and sends it to an SPDIF output.
+alsa-plugin-ffmpeg:
+alsa-plugin-ffmpeg: The lavcrate plugin is an external rate converter using libavcodec's
+alsa-plugin-ffmpeg: resampler, which may produce higher quality results than the
+alsa-plugin-ffmpeg: libsamplerate converter included in Slackware's alsa-plugins package.
+alsa-plugin-ffmpeg: